
import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.StandardCopyOption;

// Cette classe permet d'extraire la base de données depuis le .jar si elle existe déjà
public class bddInit {
    public static boolean init(){
        boolean existe = false;
        File dbSource = new File("Niveaux.db"); // base de données originales
        File dbDest = new File("./Niveaux.db"); // Copie dans le répertoire courant

        try {
            if(dbSource.exists()){
                System.out.println("Base existante trouvée");
                // Copie et écrase de l'ancienne si elle existe
                Files.copy(dbSource.toPath(), dbDest.toPath(), StandardCopyOption.REPLACE_EXISTING );
                System.out.println("Base copiée dans le répertoire courant.");
                existe = true;
            }else{
                System.out.println("Base inexistante. Elle sera créée");
                existe = false;
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
        return existe;
        
    }
}
